package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.dto.FinancialExpenditureDto;
import com.ym.mec.biz.dal.entity.FinancialExpenditure;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface FinancialExpenditureDao extends BaseDAO<Long, FinancialExpenditure> {

    void batchInsert(@Param("financialExpenditures") List<FinancialExpenditure> financialExpenditures);

    int findFinancialExpenditureCount(Map<String, Object> params);

    List<FinancialExpenditureDto> queryFinancialExpenditurePage(Map<String, Object> params);

    void batchDel(String ids);

    /**
     * 统计合作单位各类型的支出
     *
     * @return
     */
    List<FinancialExpenditure> getCooperationExpenditure(@Param("startTime") Date startTime, @Param("endTime") Date endTime);

    /**
     * @param collect:
     * @return java.lang.Integer
     * @describe
     * @apiNote 时光荏苒，认真工作的时间总是过得很快，而我、享受这一刻！
     * @author zouxuan
     * @date 2020/9/16
     * @time 11:38
     */
    List<String> countBydingTalk(@Param("collect") List<Object> collect);
}